const fetchDomain = document.querySelector('meta[name="fetch_domain_url"]')?.content;
const fetchDomainImg = document.querySelector('meta[name="fetch_url_image"]')?.content;
const fetchDomainQc = document.querySelector('meta[name="fetch_url_qc"]')?.content;
const disable_fl = document.querySelector('meta[name="disable_fl"]')?.content;
const _6in1_max_leagues = document.querySelector('meta[name="_6in1_max_leagues"]')?.content;
const _rate_max_leagues = document.querySelector('meta[name="_rate_max_leagues"]')?.content;
const _result_max_leagues = document.querySelector('meta[name="_result_max_leagues"]')?.content;
const _fixture_max_leagues = document.querySelector('meta[name="_fixture_max_leagues"]')?.content;
const Checkbox_hide_action = document.querySelector('meta[name="Checkbox_hide_action"]')?.content;
const _detail_url = document.querySelector('meta[name="_detail_url"]')?.content;
var _appModule = 'Thai';
var __APP_DOMAIN__ = "SportPlugin";
window.config = {
    "appName": "SportPlugin",
    "locale": "vn",
    "locales": ["en", "vn", "id", "th", "vi"],
    "url": fetchDomain,
    isPlugin: true,
};

function getCookiex(name) {
    const value = document.cookie.match('(^|;)\\s*' + name + '=([^;]*)');
    return value ? decodeURIComponent(value.pop()) : null;
}

function setCookiex(name, value, days, domain) {
    let expires = "";
    if (days) {
        const date = new Date();
        date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
        expires = "; expires=" + date.toUTCString();
    }

    // nếu không truyền domain thì tự lấy từ host hiện tại và thêm dấu chấm
    if (!domain) {
        const host = window.location.hostname;
        domain = "." + host.replace(/^www\./, "");
    }

    document.cookie =
        name + "=" + encodeURIComponent(value || "") +
        expires + "; path=/" + "; domain=" + domain;
}


var oddsTypeMb = getCookiex("Odds_Type");

// Nếu chưa có cookie thì set mặc định
if (!oddsTypeMb) {
    oddsTypeMb = 5; // giá trị mặc định bạn muốn
    setCookiex("Odds_Type", oddsTypeMb, 7); // ví dụ set 7 ngày
}
var _imgS3 = fetchDomainImg;
let img_domain = fetchDomainImg;
window.img_domain = fetchDomainImg;

var dbUrl = fetchDomain;
var _url_s3 = fetchDomain;

var _appDomain = "https://bongdako.net";
var _databaseDomain = "https://data.bongdako.net";

window.banner_enable = Boolean(1);
window.show_live_animation = Boolean(1);
window._detail_url = _detail_url;
window._fetchDomainQc = fetchDomainQc;
window._6in1_max_leagues = _6in1_max_leagues;
window._rate_max_leagues = _rate_max_leagues;
window._result_max_leagues = _result_max_leagues;
window._fixture_max_leagues = _fixture_max_leagues;
window.Checkbox_hide_action = Checkbox_hide_action == 1 ? 1 : 0;
if (disable_fl == 1) {
    document.addEventListener('DOMContentLoaded', function () {
        var targetNode = document.getElementById('scrollIframe');

        if (!targetNode) return;

        var observer = new MutationObserver(function () {
            // Thêm rel="nofollow noindex" cho các thẻ <a>
            var links = targetNode.querySelectorAll('a');
            links.forEach(function (link) {
                if(!link.dataset.livestream) {
                    link.setAttribute('rel', 'nofollow noindex');
                }
            });

            // Thêm rel="noindex" cho các thẻ <img>
            var images = targetNode.querySelectorAll('img');
            images.forEach(function (img) {
                img.setAttribute('rel', 'noindex');
            });
        });

        observer.observe(targetNode, {childList: true, subtree: true});
    });


}
document.addEventListener('DOMContentLoaded', function () {
    // Lấy tất cả thẻ <a> có class 'analyze-icon'
    var links = document.querySelectorAll('a.analyze-icon');

    // Duyệt qua từng phần tử và xóa thuộc tính title
    links.forEach(function (link) {
        link.removeAttribute('title');
    });
});

const seen = new Set();
document.querySelectorAll('.dropdown-menu-inner [data-id]').forEach(el => {
    if (seen.has(el.dataset.id)) {
        el.remove(); // Xoá phần tử trùng
    } else {
        console.log(el.dataset.id)
        seen.add(el.dataset.id);
    }
});